GP-ARCHIVE.1(1)

NAME
gprofng archive - Archive gprofng experiment data

SYNOPSIS
gprofng archive [option(s)] experiment

DESCRIPTION
Archive the associated application binaries and source files in a gprofng experiment to make it self contained and portable.

By default, the binaries are archived, but the application source files are not archived. Use this tool to change this and afterwards archive additional components.

OPTIONS

--version
    Print the version number and exit.

--help
    Print usage information and exit.

-a {off|on|ldobjects|src|usedldobjects|usedsrc}
    Specify archiving of binaries and other files. In addition to disable this feature (off), or enable archiving off all loadobjects and sources (on), the other op tions support a more refined selection.

    All of these options enable archiving, but the keyword controls what exactly is selected: all load objects (ldobjects), all source files (src), the loadobjects asscoiated with a program counter (usedldobjects), or the source files associated with a program counter (usedsrc). The default is -a ldobjects.

-n  Archive the named experiment only, not any of its descendants.

-m regex
    Archive only those source, object, and debug info files whose full path name matches the given POSIX compliant regex regular expression.

-q  Do not write any warnings to stderr. Warnings are incorporated into the .archive file in the experiment directory. They are shown in the output of gprofng display text.

-F  Force writing or rewriting of the archive. This is ignored with the -n or -m option, or if this is a subexperiment.

-d path
    The path is the absolute path path to a common archive, which is a directory that contains archived files. If the directory does not exist, then it will be created. Files are saved in the common archive directory, and a symbolic link is created in the experiment archive.

NOTES
Default archiving does not occur in case the application profiled terminates prematurely, or if archiving is disabled when collecting the performance data. In such cases, this tool can be used to afterwards archive the information, but it has to be run on the same system where the profiling data was recorded.

Some Java applications store shared objects in jar files. By default, such shared objects are not automatically archived. To archive shared objects contained in jar files, the addpath directive in an .er.rc file. The addpath directive should give the path to the jar file, including the jar file itself. The .er.rc file should be saved in the user home directory or parent of the experiment directory.

SEE ALSO
gprofng(1), gp-collect-app(1), gp-display-html(1), gp-display-src(1), gp-display-text(1)

The user guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are correctly installed, the command info gprofng should give access to this document.

COPYRIGHT
Copyright (c) 2022-2023 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".